#include<bits/stdc++.h> 
using namespace std;
int prvacif(int n) 
{ 
    int cif = (int)log10(n);
    n = (int)(n / pow(10, cif)); 
    return n; 
} 
int main()
{
    int a,b,c;
    int n=0;
    scanf("%d%d%d",&a,&b,&c);
    int niz[3]={a,b,c};
    
    if (prvacif(a)<prvacif(b))
            {int p =niz[0]; niz[0]=niz[1]; niz[1]=p;}
        if (prvacif(niz[1])<prvacif(c))
            {int p =niz[1]; niz[1]=niz[2]; niz[2]=p;}
                if (prvacif(niz[0])<prvacif(niz[1]))
                {int p =niz[0]; niz[0]=niz[1]; niz[1]=p;}
    
    printf("%d%d%d",niz[0],niz[1],niz[2]);
    return 0;
}